<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.rj.mapper.sys.MenuMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.rj.entity.sys.Menu">
        <id column="menu_id" property="menuId" />
        <result column="name" property="name" />
        <result column="redirect" property="redirect" />
        <result column="path" property="path" />
        <result column="component" property="component" />
        <result column="parent_id" property="parentId" />
        <result column="meta" property="meta" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        menu_id, name, redirect, path, component, parent_id, meta
    </sql>

</mapper>

















